Debian Bug report logs - #274879
libmyodbc: incompatible with mysqld 4.0.21

version graph

Package: libmyodbc; Maintainer for libmyodbc is Steve Langasek <vorlon@debian.org>; Source for libmyodbc is src:myodbc.

Reported by: juan <jaysee@free.fr>

Date: Mon, 4 Oct 2004 14:48:02 UTC

Severity: important

Found in version 3.51.06-1

Fixed in version myodbc/3.51.09-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#274879; Package libmyodbc. Full text and rfc822 format available.

Acknowledgement sent to juan <jaysee@free.fr>:
New Bug report received and forwarded. Copy sent to Steve Langasek <vorlon@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: juan <jaysee@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmyodbc: incompatible with mysqld 4.0.21
Date: Mon, 04 Oct 2004 16:36:03 +0200
Package: libmyodbc
Version: 3.51.06-1
Severity: important


Some features do not work with mysqld 4.0.21, for example colomn listing
in openoffice.
Upgrading to version 3.51.07 solves the problem.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8.1
Locale: LANG=POSIX, LC_CTYPE=fr_FR.UTF-8

Versions of packages libmyodbc depends on:
ii  debconf                     1.4.38       Debian configuration management sy
ii  libc6                       2.3.2.ds1-17 GNU C Library: Shared libraries an
ii  libmysqlclient10            3.23.56-2    LGPL-licensed client library for M
ii  odbcinst1                   2.2.4-9      Support library and helper program
ii  zlib1g                      1:1.2.1.2-1  compression library - runtime

-- debconf information:
* libmyodbc/addtoodbc: true



Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#274879; Package libmyodbc. Full text and rfc822 format available.

Acknowledgement sent to Iacopo Spalletti <i.spalletti@iast.it>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. Full text and rfc822 format available.

Message #10 received at 274879@bugs.debian.org (full text, mbox):

From: Iacopo Spalletti <i.spalletti@iast.it>
To: Debian Bug Tracking System <274879@bugs.debian.org>
Subject: libmyodbc: Bug confirmed
Date: Mon, 01 Nov 2004 18:02:26 +0100
Package: libmyodbc
Version: 3.51.06-1
Followup-For: Bug #274879

I confirm this very annoying bug.
As mysql 4.0.21 is in sarge it should be really marked as release critical.
I tried repackaging myodbc 3.51.09 (latest from MySQL AB) using 3.51.06-1
configuration, and it only needs libmysqlclient-dev instead of
libmysqlclient10-dev and a minor modification in rules file (just a version
update on line 58) to compile cleanly and let odbc access to mysql work
again.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (910, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-k7
Locale: LANG=it_IT, LC_CTYPE=it_IT (ignored: LC_ALL set to it_IT@euro)

Versions of packages libmyodbc depends on:
ii  debconf                     1.4.30.8     Debian configuration management sy
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libmysqlclient10            3.23.56-2    LGPL-licensed client library for M
ii  odbcinst1                   2.2.4-11     Support library and helper program
ii  zlib1g                      1:1.2.2-1    compression library - runtime

-- debconf information:
* libmyodbc/addtoodbc: true



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#274879; Package libmyodbc. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 274879@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Iacopo Spalletti <i.spalletti@iast.it>, 274879@bugs.debian.org
Subject: Re: Bug#274879: libmyodbc: Bug confirmed
Date: Thu, 4 Nov 2004 00:47:16 -0800
[Message part 1 (text/plain, inline)]
On Mon, Nov 01, 2004 at 06:02:26PM +0100, Iacopo Spalletti wrote:
> I confirm this very annoying bug.
> As mysql 4.0.21 is in sarge it should be really marked as release critical.
> I tried repackaging myodbc 3.51.09 (latest from MySQL AB) using 3.51.06-1
> configuration, and it only needs libmysqlclient-dev instead of
> libmysqlclient10-dev and a minor modification in rules file (just a version
> update on line 58) to compile cleanly and let odbc access to mysql work
> again.

Linking against libmysqlclient-dev instead of libmysqclient10-dev will cause
problems for any processes that might have other mysql-based libraries
loaded into memory (e.g., apache+mod_auth_mysql+(php|perl)).  This would
also arguably be an RC bug.  I'll have to take a look at the tradeoffs here
before deciding.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#274879; Package libmyodbc. Full text and rfc822 format available.

Acknowledgement sent to i.spalletti@iast.it:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. Full text and rfc822 format available.

Message #20 received at 274879@bugs.debian.org (full text, mbox):

From: Iacopo Spalletti <i.spalletti@iast.it>
To: Steve Langasek <vorlon@debian.org>
Cc: 274879@bugs.debian.org
Subject: Re: Bug#274879: libmyodbc: Bug confirmed
Date: Thu, 4 Nov 2004 10:15:13 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Alle 09:47, giovedì 4 novembre 2004, Steve Langasek ha scritto:
> On Mon, Nov 01, 2004 at 06:02:26PM +0100, Iacopo Spalletti wrote:
> > I confirm this very annoying bug.
> > As mysql 4.0.21 is in sarge it should be really marked as release
> > critical. I tried repackaging myodbc 3.51.09 (latest from MySQL AB) using
> > 3.51.06-1 configuration, and it only needs libmysqlclient-dev instead of
> > libmysqlclient10-dev and a minor modification in rules file (just a
> > version update on line 58) to compile cleanly and let odbc access to
> > mysql work again.
>
> Linking against libmysqlclient-dev instead of libmysqclient10-dev will
> cause problems for any processes that might have other mysql-based
> libraries loaded into memory (e.g., apache+mod_auth_mysql+(php|perl)). 
> This would also arguably be an RC bug.  I'll have to take a look at the
> tradeoffs here before deciding.
I didn't look at myodbc changelog, maybe .07 or .08 (that should fix the bug, 
as reported by juan <jaysee@free.fr>) could compile against 
libmysqlclient10-dev.
Thanks
- -- 

IS
Iacopo Spalletti
i dot spalletti at iast dot it
PGP key block: http://www.nephila.it/pgp
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBifMwweF1PGbYOVwRAlq6AKCeIx5fDi3jelxrhAML8adwxDmZ7wCbBvfW
OUkYGoaj22CfGtgsmIA4h6A=
=Av66
-----END PGP SIGNATURE-----



Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to juan <jaysee@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 274879-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 274879-close@bugs.debian.org
Subject: Bug#274879: fixed in myodbc 3.51.09-1
Date: Sat, 12 Mar 2005 02:02:25 -0500
Source: myodbc
Source-Version: 3.51.09-1

We believe that the bug you reported is fixed in the latest version of
myodbc, which is due to be installed in the Debian FTP archive:

libmyodbc_3.51.09-1_i386.deb
  to pool/main/m/myodbc/libmyodbc_3.51.09-1_i386.deb
myodbc_3.51.09-1.diff.gz
  to pool/main/m/myodbc/myodbc_3.51.09-1.diff.gz
myodbc_3.51.09-1.dsc
  to pool/main/m/myodbc/myodbc_3.51.09-1.dsc
myodbc_3.51.09.orig.tar.gz
  to pool/main/m/myodbc/myodbc_3.51.09.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 274879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated myodbc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  9 Mar 2005 14:13:36 -0800
Source: myodbc
Binary: libmyodbc
Architecture: source i386
Version: 3.51.09-1
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 libmyodbc  - the MySQL ODBC driver
Closes: 237175 245231 274879 283221
Changes: 
 myodbc (3.51.09-1) unstable; urgency=low
 .
   * New upstream release
     - includes compatibility with newer versions of MySQL servers
       (closes: #274879).
   * Build-Depend on libmysqclient12-dev instead of on
     libmysqlclient10-dev, required by the new upstream version
     (closes: #245231).
   * Update debian/rules to honor DEB_BUILD_OPTIONS and turn on -g by
     default, bringing us in line with Standards-Version 3.6.1.
   * Add Japanese debconf translation, thanks to Hideki Yamane
     <henrich@samba.gr.jp> (closes: #237175).
   * Add Czech debconf translation, thanks to Miroslav Kure
     <kurem@upcase.inf.upol.cz> (closes: #283221).
Files: 
 54c4ea7c6e97b3eeb60461a68e3857ac 642 libs optional myodbc_3.51.09-1.dsc
 2ef0652d82fc327e28db76b8554dbf31 943545 libs optional myodbc_3.51.09.orig.tar.gz
 b1b617621d434d7947ff826b69cf5de7 13642 libs optional myodbc_3.51.09-1.diff.gz
 6249e6f3d3fa00d7ebea95a51494a26d 63948 libs optional libmyodbc_3.51.09-1_i386.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCMpJNKN6ufymYLloRApwJAJ9LUlwCLYmYZydN/NVMQMddARiyfgCgneSO
TsJbPi7+E/H9Xi4HJgBotyM=
=RTmU
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:02:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.